.Dd 2019-05-27
.Dt NCI-PUT FILE 1
.Os
.Sh NAME
.Nm nci-put-file
.Nd Add or overwrite a course file in a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Fl n
.Ar filename
.Fl p
.Ar filepath
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and uploads
.Ar filepath
to the course file
.Ar filename .
.Pp
This program always uses the following options for the file upload:
.Pp
.Bl -bullet -compact
.It
.Em display_name
is the final part
.Pq past any /
of
.Ar filename ,
.It
.Em content-type
is automatic
.Po
Canvas will guess it based on
.Ar filename
.Pc ,
.It
the file is not
.Em locked
or
.Em hidden ,
.It
the file will
.Em overwrite
any other file with the same name.
.El
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl n
Set the name of the new file. This should include any folder heirarchy,
and should not begin with a /. Canvas is expecting an arbitrary UTF-8
string.
.It Fl p
The path for the file to upload.
.El
.Sh EXAMPLES
.Dl % nci-put-file -c 1187637 -p /home/jsmith/teaching/2099/syllabus.pdf -n syllabus.pdf
.Dl % nci-put-file -c 1187637 -p /tmp/ex1.pdf -n Qo Practice Exams/Midterm #1/2098_midterm_1.pdf Qc
.Sh SEE ALSO
.Xr nci 1
.Xr nci-list-files 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
